Package org.eclipse.net4j.db.ddl

# Interface IDBSchemaElement

All Superinterfaces:
  `Comparable<IDBSchemaElement>`, `org.eclipse.net4j.util.container.IContainer<IDBSchemaElement>`, `IDBElement`, `IDBNamedElement`, `org.eclipse.net4j.util.event.INotifier`

All Known Subinterfaces:
  `IDBField`, `IDBIndex`, `IDBIndexField`, `IDBSchema`, `IDBTable`, `InternalDBField`, `InternalDBIndex`, `InternalDBIndexField`, `InternalDBSchema`, `InternalDBSchemaElement`, `InternalDBTable`

All Known Implementing Classes:
  `org.eclipse.net4j.internal.db.ddl.DBSchema`, `DBSchema`, `org.eclipse.net4j.internal.db.ddl.DBSchemaElement`

public interface IDBSchemaElement extends IDBNamedElement, org.eclipse.net4j.util.container.IContainer<IDBSchemaElement>, Comparable<IDBSchemaElement>
Specifies a hierarchical namespace for elements in a `DB schema`.

Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`IDBSchemaElement.SchemaElementType`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

`org.eclipse.net4j.util.container.IContainer.Modifiable<E extends Object>, org.eclipse.net4j.util.container.IContainer.Persistable<E extends Object>, org.eclipse.net4j.util.container.IContainer.Persistence<E extends Object>`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`org.eclipse.net4j.util.event.INotifier.INotifier2`

## Method Summary

Modifier and Type
Method
Description
`void`
`accept(IDBSchemaVisitor visitor)`
`<T extends IDBSchemaElement>
T`
`getElement(Class<T> type, String name)`
`String`
`getFullName()`
`IDBSchemaElement`
`getParent()`
`IDBSchema`
`getSchema()`
`IDBSchemaElement.SchemaElementType`
`getSchemaElementType()`
`void`
`remove()`
`void`
`setName(String name)`
Deprecated.

### Methods inherited from interface java.lang.Comparable

`compareTo`

### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

`getElements, isEmpty`

### Methods inherited from interface org.eclipse.net4j.db.ddl.IDBElement

`getProperties`

### Methods inherited from interface org.eclipse.net4j.db.ddl.IDBNamedElement

`getName`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

## Method Details

### getSchemaElementType

IDBSchemaElement.SchemaElementType getSchemaElementType()

Since:
  4.2

### getSchema

IDBSchema getSchema()

### getParent

IDBSchemaElement getParent()

Specified by:
  `getParent` in interface `IDBElement`
Since:
  4.2

### setName

@Deprecated void setName(String name)
Deprecated.

Since:
  4.2

### getFullName

String getFullName()

### getElement

<T extends IDBSchemaElement> T getElement(Class<T> type, String name)

Since:
  4.2

### accept

void accept(IDBSchemaVisitor visitor)

Since:
  4.2

### remove

void remove()

Since:
  4.2